## org.apache.lucene.queryParser.standard.config
Interface FieldBoostMapAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  FieldBoostMapAttributeImpl

Deprecated.

    @Deprecated
    public interface FieldBoostMapAttribute

extends Attribute

This attribute enables the user to define a default boost per field. it's used by `FieldBoostMapFCListener.buildFieldConfig(FieldConfig)`

Method Summary
`Map<String,Float>` `getFieldBoostMap()` Deprecated.
`void` `setFieldBoostMap(Map<String,Float> boosts)` Deprecated.

Method Detail

### setFieldBoostMap

    void setFieldBoostMap(Map<String,Float> boosts)

  Deprecated.
  Parameters:
    `boosts` - a mapping from field name to its default boost

### getFieldBoostMap

    Map<String,Float> getFieldBoostMap()

  Deprecated.